<?php

if ( !defined('ABSPATH') ) define('ABSPATH', str_replace("/wp-content/plugins/manuall-dofollow","",dirname(__FILE__)) . '/');
require_once(ABSPATH . 'wp-blog-header.php');

if (function_exists('load_plugin_textdomain'))
{
	load_plugin_textdomain('smu', PLUGINDIR.'/manuall-dofollow/languages', 'manuall-dofollow/languages');
}

$table_name = $wpdb->prefix . 'man_dofollow';
$table_name2 = $wpdb->prefix . 'man_dofollow2';

$wpdb->get_row("TRUNCATE ".$table_name2);

$qry = $wpdb->get_results("SELECT a.comment_author_url FROM ".$table_name." as b LEFT JOIN ".$wpdb->comments." as a ON a.comment_author_email=b.email WHERE b.dofollow='yes' AND a.comment_type NOT IN ('pingback','trackback') AND a.comment_approved='1' AND a.comment_author_url!='' GROUP BY a.comment_author_url");
foreach ($qry as $row)
{
	$content = url_get_contents($row->comment_author_url,'cURL',true,$smuoptions['smudofollow_redirect']);
	$return = SMuURLCheck($content);
	$wpdb->get_row("INSERT INTO ".$table_name2." SET link='".$wpdb->escape($row->comment_author_url)."', lastcheck='".time()."', status='".$wpdb->escape($return)."'");
	if (preg_match("/".$smuoptions['smudofollow_rot1']."/",$return))
	{
		$fail++;
	}
}

if ($fail >= '1')
{
	wp_mail(get_option('admin_email'),  __('URL Validation', 'smu'), __('This is a automatically notification that', 'smu'). " ".$fail." ". __('URL are invalid and should be disabled on', 'smu') ." ".admin_url("admin.php?page=smu_dolist") );
	echo "Dead URL's found";
}
else
{
	echo "All URLS valid";
}
?>